package com.persagy.apm.diagnose.config;


import lombok.Data;
import org.apache.commons.pool2.impl.GenericObjectPoolConfig;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.connection.RedisNode;
import org.springframework.data.redis.connection.RedisPassword;
import org.springframework.data.redis.connection.RedisSentinelConfiguration;
import org.springframework.data.redis.connection.RedisStandaloneConfiguration;
import org.springframework.data.redis.connection.lettuce.LettuceConnectionFactory;
import org.springframework.data.redis.connection.lettuce.LettucePoolingClientConfiguration;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.serializer.StringRedisSerializer;
import org.springframework.util.StringUtils;

import java.util.HashSet;
import java.util.Set;

//被@RefreshScope修饰的Bean都是延迟加载的，只有在第一次访问时才会被初始化，刷新Bean也是同理，下次访问时会创建一个信息的对象
@RefreshScope //这里不能省略  不然不能手动触发
@Configuration
@Data
public class ComputePropertiesConfig {

	@Value(value = "${energy.eq.run.compute.round.days:1}")
	private Integer roundDays;

	@Value(value = "${energy.eq.run.send.hour:1}")
	private Integer sendDataHour;

	@Value(value = "${energy.eq.run.compute.after.hour:1}")
	private Integer computeAfterHour;

	@Value(value = "${energy.eq.run.compute.start.time:null}")
	private String dStartTime;

}
