package com.persagy.apm.diagnose.feign.client;

import com.alibaba.fastjson.JSONObject;
import com.persagy.apm.diagnose.feign.AlarmResult;
import com.persagy.apm.diagnose.service.dto.*;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


@FeignClient(name = "energy-alarm-service",url = "http://localhost:9977")
//@FeignClient(name = "energy-alarm-service")
public interface AlarmServiceClient {


    @PostMapping("/projectAlarmRuleObjRels/query")
    AlarmResult<JSONObject> query(@RequestBody MonitorIndicatorConfigDTO queryMonitorIndicatorConfigDTO) throws Exception;


    @PostMapping("/calculateMethods/query")
    AlarmResult<JSONObject> queryCalculateMethods(@RequestBody CalculateMethodDTO calculateMethodDTO) throws Exception;


    @PostMapping("/projectMonitorIndicatorConfigs/query_by_equip")
    AlarmResult<JSONObject> query_by_equip(@RequestBody MonitorIndicatorConfigByEquipDTO monitorIndicatorConfigByEquipDTO) throws Exception;


    @PostMapping("projectAlarmRules/query_with_indicators_objs")
    AlarmResult<JSONObject> queryProjectAlarmRules(@RequestBody AlarmRuleDTO alarmRuleDTO) throws Exception;


    @PostMapping("/alarmConditions/query_by_obj_and_itemcode")
    AlarmResult<JSONObject> queryByObjAndItemCode(@RequestBody QueryAlarmConditionByObjDTO queryAlarmConditionByObjDTO) throws Exception;
}
