package com.persagy.apm.diagnose.maintenance.constant;

import com.alibaba.druid.util.StringUtils;

/**
 * 报警条目
 */
public enum EnumAlarmCategory {

    EQWB("Eqwb", "设备维保报警"),
    EQGH("Eqgh", "设备更换报警"),
    EQ("Eq", "设备报警"),
    SP("Sp", "空间报警"),
    SY("Sy", "系统报警"),
    SAFE("Safe", "安全报警"),
    RUN("Run", "高效运行报警"),
    ENV("Env", "环境报警"),
    ENERGY("Energy", "能源报警"),
    TENANT("Tenant", "租户报警"),
    ELECTRIC("Electric", "配电报警"),
    CS("CS", "冷站能效报警"),
    IOT("iot", "数据质量报警"),
    BIM("Bim", "BIM报警"),
    EQDX("Eqdx", "设备运行诊断报警");

    private String code;
    private String name;

    EnumAlarmCategory(String code, String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }
    public String getName() {
        return name;
    }

    public void setCode(String code) {
        this.code = code;
    }
    public void setName(String name) {
        this.name = name;
    }

    public static EnumAlarmCategory getEnumAlarmLevel(String code) {
        if(StringUtils.isEmpty(code)) {
            return null;
        }
        for(EnumAlarmCategory item : EnumAlarmCategory.values()) {
            if(item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}
