package com.persagy.apm.diagnose.maintenance.constant;

import com.alibaba.druid.util.StringUtils;

/**
 * 报警状态
 */
public enum EnumAlarmState {

    UN_HANDLE(1, "未恢复"),
    END(2, "已恢复"),
    EXPIRE(3, "已过期");

    private Integer code;
    private String name;

    EnumAlarmState(Integer code, String name){
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }
    public String getName() {
        return name;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
    public void setName(String name) {
        this.name = name;
    }

    public static EnumAlarmState getEnumAlarmState(String code) {
        if(StringUtils.isEmpty(code)) {
            return null;
        }
        for(EnumAlarmState item : EnumAlarmState.values()) {
            if(item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}
