package com.persagy.apm.diagnose.service.schedule;

import com.persagy.apm.diagnose.service.MaintenanceDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

/**
 * 计算 设备维保  日维度数据
 */

@Slf4j
@Service
public class ComputeMaintenanceData {

    @Value("${compute.maintenance.data.enable:false}")
    private boolean enable;

    @Autowired
    private MaintenanceDataService maintenanceDataService;

    @Scheduled(cron="${compute.maintenance.data.cron:0 10 0 * * ?}")
    public void computeMaintenanceData() throws Exception {
        if (!enable) {
            //计算未开启
            return;
        }
        log.info("【计算设备维保日维度平均值数据线程】:计算数据开始.......");
        maintenanceDataService.computeMaintenanceData();
    }
}
